### Constructor

# Foundry BuildPipeline new

#### Declaration [src]

    DexFuture*
    foundry_build_pipeline_new (
      FoundryContext* context,
      FoundryConfig* config,
      FoundryDevice* device,
      FoundrySdk* sdk,
      gboolean enable_adddins
    )

#### Description

No description available.

#### Parameters

`context`

  Type: `FoundryContext`

  No description available.

  The data is owned by the caller of the function.

`config`

  Type: `FoundryConfig`

  No description available.

  The data is owned by the caller of the function.

`device`

  Type: `FoundryDevice`

  No description available.

  The data is owned by the caller of the function.

`sdk`

  Type: `FoundrySdk`

  No description available.

  The data is owned by the caller of the function.

`enable_adddins`

  Type: `gboolean`

  No description available.

#### Return value

Type: `DexFuture`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.